<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  	if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
	{
  		//si isset($_POST['typecb']) alors generation cb de typecb
    
		//sélectionne toutes les iban ayant le numero de client de la session
		$requete_iban = "Select * from freepay_iban where mailcli = '".$_SESSION["mailcli"]."' order by iban;";
		$resultat_iban = mysql_query($requete_iban,$connexion); //connexion de la requete
		$ligne_iban = mysql_fetch_assoc($resultat_iban); //affichage des résultats
		
		if (empty($ligne_iban))
		{
		  echo'<p class="info">Veuillez préalablement <a href="'.$AdresseFreePay.'services/iban/iban_ajouter.php">Ajouter un numéro IBAN</a>.</p>';
		  
		}else{
		  echo '<p>
		  <form action="cb_ajouter.php" method="post" onsubmit="return cb_verif();">
		  
		  <div><h4 class="titre">Ajouter une Carte Bancaire :</h4></div>
		  
		   <p class="info">* Champs obligatoires</p>
		   
		  <table>
			<tr>
			  <td width="150px">Numéro CB :</td> 
			  <td><input type="text" name="CCN" id="CCN" size="16" ';
				if(isset($CCN)){ echo ' value="'.$CCN.'" ';} echo '/> *</td>
			</tr>
		  </table>';
		  
		  $requete_cc_type = "Select * from freepay_cc_type group by cctype ;";
		  $resultat_cc_type = mysql_query($requete_cc_type,$connexion); //connexion de la requete
		  $ligne_cc_type = mysql_fetch_assoc($resultat_cc_type); //affichage des résultats
		  
		  echo '
		  <table>
			<tr>
			  <td width="150px">Type : </td>
			  <td>
				<label>
				  <select name="NomIIN">';
					
					if (!empty($ligne_cc_type)){
					  while($ligne_cc_type){
						echo '<option value="'.$ligne_cc_type["cctype"].'"'; 
						if($NomIIN == $ligne_cc_type["cctype"]){
						  echo ' selected="selected"';
						}
					  echo '>'.$ligne_cc_type["cctype"].'</option>
					  ';
						
						$ligne_cc_type = mysql_fetch_assoc($resultat_cc_type);
					  }
					}

				echo '</select>
				</label>
			   <a href="http://www.visa.com/">
				<img src="'.$AdresseFreePay.'images/Logo_small_VISA.JPG" 
				alt="Logo_small_VISA" title="VISA" /></a>
			   
				<a href="http://www.mastercard.com/">
				<img src="'.$AdresseFreePay.'images/Logo_small_MC.PNG"
				alt="Logo_small_MC" title="Master Card" /></a>
			  </td>
			</tr>
		  </table>';
		  
		  
		  echo '
		  <table>
		  <tr>
			<td width="150px">Date d\'expiration : </td>
			<td>
			  <label>
				<select name="moisexpcb">';
				  
				  for ($datemois = 1; $datemois <= 9; $datemois++) {
					echo '<option value="0'.$datemois.'" '; 
					  if(isset($_POST['moisexpcb'])) {
						if($_POST['moisexpcb'] == '0'.$datemois){
						  echo ' selected="selected" ';
						}
					  }
					echo '>0'.$datemois.'</option>';
				  }
				  
				  for ($datemois = 10; $datemois <= 12; $datemois++) {
					echo '<option value="'.$datemois.'" '; 
					  if(isset($_POST['moisexpcb'])) {
						if($_POST['moisexpcb'] == '0'.$datemois){
						  echo ' selected="selected" ';
						}
					  }
					echo '>'.$datemois.'</option>';
				  }
					
				  echo '
				</select>
			  </label>
			  
			  /
			  <label>
				<select name="anneeexpcb">';
				
				for ($dateannee = date("Y"); $dateannee <= date("Y")+11; $dateannee++)
				{
				  echo '<option value="'.$dateannee.'" ';
				  
					if(isset($_POST['anneeexpcb'])) {
					  if($_POST['anneeexpcb'] == $dateannee){
						echo ' selected="selected" ';
					  }
					}
				
				  echo ' >'.$dateannee.'</option>';
				}
				echo '
				</select>
			  </label> 
			</td>
		  </tr>
		  </table>';
		  
		  if(isset($_POST['cryvis']) ) {
			if (strlen($_POST['cryvis'])!='3' and strlen($_POST['cryvis'])!='4' ) {
			  echo "<p class='erreur'>Le cryptogramme visuel a une longueur de <strong>".strlen($_POST['cryvis'])."</strong> caractères alors que il doit avoir une longueur de <strong>3</strong> ou de <strong>4</strong>.</p>";
			}
		  }
		  
		  echo '
		  <table>
			<tr>
			  <td width="150px">Cryptogramme visuel : </td>
			  <td><input type="text" name="cryvis" id="cryvis" size="3" ';
				if(isset($_POST['cryvis'])){ echo ' value="'.$_POST['cryvis'].'" ';} echo '/> </td>
			</tr>
		  </table>';
			
			echo '
			<table>
			<tr>
			  <td width="150px">IBAN :</td>
			  <td>
				<label>
				  <select name="iban">';
				  
				  if (!empty($ligne_iban))
				  {
					while($ligne_iban)
					{ 
					  echo '<option value="'.$ligne_iban["iban"].'" '; 
					  
					  if(isset($_POST['iban'])){
						if($_POST['iban'] == $ligne_iban["iban"]){
						  echo ' selected="selected" ';
						}
					  }
					  
					  echo ' >'.$ligne_iban["iban"].'</option>';
					  $ligne_iban=mysql_fetch_assoc($resultat_iban);
					}
					
				  }
				  echo '
				  </select>
				</label>
			  *</td>
			</tr>
		  </table>
		  
		  ';
			
			echo '
			<table>
			  <tr>
				<td width="150px"> </td> <td><input type="submit" value="Ajouter cette carte" />
				<input type="reset" value="Annuler" />    </td>
			  </tr>
			</table>
			
		  </form>
		  </p>';
		  
		  //Focus sur le champs du numero de carte bancaire en javascript
		  echo '<script type="text/javascript">document.getElementById("CCN").focus();</script>';
		  
		  //Inclue le javascript
		  echo '<script type="text/javascript" src="cb_verif.js"></script>';
		  
		  //sélectionne toutes les cb ayant le numero de client de la session
		  $requete_cb = "Select * from freepay_carte_bancaire where mailcli = '".$_SESSION["mailcli"]."' order by numcb;";
		  $resultat_cb = mysql_query($requete_cb,$connexion); //connexion de la requete
		  $ligne = mysql_fetch_assoc($resultat_cb); //affichage des résultats
		  
		  if (!empty($ligne))
		  {
			if ($connexion)// si connexion à la base réussi
			{	
			  echo "<h4 class='titre' onclick='change_affiche()'>Afficher vos cartes bancaires déjà enregistrées</h4>";
			  
			  echo "<div id='InfoTable' style='display:none;'>";
			  while($ligne){ //titre des champs
				include("cb_afficher.php");
				$ligne = mysql_fetch_assoc($resultat_cb);
			  }
			  echo "</div>";
			  echo "
			  <script type='text/javascript' src='../change_affiche.js'> </script> ";
			  
			}
		  }
		
		}
  	}
?>
